{
  pkgs,
  lib,
  config,
  system,
  ...
}: let
  systemSpecificPackages =
    if "${system}" != "aarch64-darwin"
    # include gping because of open bug
    then [pkgs.zsh pkgs.racket pkgs.gping pkgs.mold]
    else [];
in {
  imports = [
    ./emacs.nix
    ./git.nix
    ./neovim.nix
    ./starship.nix
    ./zellij.nix
    ./zsh.nix
  ];
  home.packages = with pkgs;
    [
      bandwhich
      bat
      bottom
      cargo-workspaces
      colima
      clipboard-jh
      dogdns
      erdtree
      fd
      ffmpeg_6
      gawk
      git-credential-1password
      gnugrep
      gnused
      gnutar
      imagemagick
      internetarchive
      jless
      jq
      just
      kondo
      litecli
      magic-wormhole-rs
      ncdu
      ov
      pdm
      poetry
      ripgrep
      rsync
      sqlite
      yt-dlp
      zstd
    ]
    ++ systemSpecificPackages;
}
